#ifndef MODULESYSTIME_H
#define MODULESYSTIME_H

#include <QObject>
#include <QTimer>

class ModuleSysTime : public QObject
{
    Q_OBJECT
public:
    explicit ModuleSysTime(QObject *parent = nullptr);

signals:
    /**
     * @brief sigArmRtcTimeUpdate
     * @param flag true:写时间至RTC， false:从RTC读取时间
     */
    void sigArmRtcTimeUpdate(bool flag);

private slots:

    void onTimerTimeOutPingNet();
    void onTimerTimeOutCheckNet();
    void onTimerTimeOutWaitNetTime();

private:

};

#endif // MODULESYSTIME_H
